set output "sol3.mp"
set term mp "csr10";
set grid;
set data style points;
set yrange [0:2700];
set format x "$%g$";
#set format y "$%2.1f$";
#set xrange [0.001:1000];
#set logscale x;
set ylabel 'Intenzinta $H$ [A$\cdot$m$^{-1}$]';
set xlabel 'Vzdlenost od stedu $z$ [cm]';
plot "sol3.dat" using 2:4 title 'Namen hodnota' with point, \
	"sol3.dat" using 2:4 smooth csplines notitle, \
1110.42*(  (0.15-x/100)/sqrt(0.045**2+(0.15-x/100)**2) + (0.15+x/100)/sqrt(0.045**2+(0.15+x/100)**2) ) smooth csplines title 'Teoretick hodnota' lt 1;

#  acsplines         bezier            csplines          sbezier
#    unique


